Bug 1111296 - Manifests with more than 20 different product subscriptions wont be displayed in the UI
Summary: Manifests with more than 20 different product subscriptions wont be displayed...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 16:30 UTC by Tom McKay
Modified: 2016-04-22 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:29:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6294 None None None 2016-04-22 16:06:47 UTC

Description Tom McKay 2014-06-19 16:30:26 UTC
The subscriptions api is missing page info on index

Comment 1 Tom McKay 2014-06-19 16:30:28 UTC
Created from redmine issue http://projects.theforeman.org/issues/6294

Comment 2 Tom McKay 2014-06-19 16:30:32 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 4 Mike McCune 2014-06-19 16:40:12 UTC
If the customer has a subscription manifest with more than 20 separate product subscriptions attached to a manifest (quantity of the individual subscriptions has no effect) the UI and API will fail to be able to display more than the 1st 20.  

WORKAROUND:

For Satellite 6 Beta customers should use a manifest with 20 or less separate subscriptions attached.

Comment 5 Tom McKay 2014-06-23 11:54:25 UTC
https://github.com/Katello/katello/pull/4312

Comment 6 Tom McKay 2014-06-23 13:58:34 UTC
Incorrectly closed

Comment 7 Tom McKay 2014-06-23 14:01:58 UTC
Incorrectly re-opened

Comment 8 Bryan Kearney 2014-06-23 14:04:53 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6294 has been closed

Comment 10 sthirugn@redhat.com 2014-08-08 16:08:41 UTC
Verified as part of https://bugzilla.redhat.com/show_bug.cgi?id=1093355#c6.

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 12 Bryan Kearney 2014-09-11 12:29:30 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.